#!/usr/bin/gnuplot

h = 6.63e-34		# J.s
c = 299782458.		# m/s
k = 1.38e-23		# J/K

cm = 1.e-2		# m
nm = 1.e-9		# m
Ang = 1.e-10		# m
erg = 1.e-7		# J

ang = 1.0

B(lambda,T) = 2.*h*c**2/lambda**5 * 1 / (exp(h*c/(k*T*lambda)) - 1)

########################################################################
set term x11

set xl "lambda [A]"
set yl "intensity [erg s^-1 cm^-2 A^-1 sr^-1]"

#set xr [8000:11000]
set xr [6540:6590]
#set logscale y
set mytics 10

call "line.plt" "Halpha" 6563
call "line.plt" "Hbeta"  4861
call "line.plt" "Hgamma" 4341
call "line.plt" "Hdelta" 4102
call "line.plt" "HeI"    4009
call "line.plt" "HeI"    4026
call "line.plt" "HeI"    4120
call "line.plt" "HeI"    4143
call "line.plt" "HeI"    4387
call "line.plt" "HeI"    4471
call "line.plt" "HeI"    4713
call "line.plt" "HeI"    4922
call "line.plt" "HeI"    5016
call "line.plt" "HeI"    5047
call "line.plt" "HeI"    5876
call "line.plt" "HeI"    6678
call "line.plt" "CII"    4267
call "line.plt" "MgII"   4481
call "line.plt" "SiII"   4128
call "line.plt" "SiII"   4130
call "line.plt" "SiII"   6347
call "line.plt" "SiII"   6371
call "line.plt" "NeI"    6402

#load "wavelengths.lab"

factor = 0.775

p \
  "<gunzip -c BG30000g400v2.vis.7.gz" u 1:2 lc 2 w l,\
  "<gunzip -c BG30000g400v2.uv.7.gz"  u 1:2 lc 3 w l,\
  pi*B(x*Ang,30000.) / (erg*cm**(-2)*Ang**(-1)) / (4.*pi)        lc 4 w l,\
  pi*B(x*Ang,30000.) / (erg*cm**(-2)*Ang**(-1)) / (4.*pi)*factor lc 5 w l,\
  "starspec1.abs" u 1:2 w lp lc 1 lw 2,\
  "starspec2_10000.abs" u 1:($2/2.65*3.77) w l dt 2,\
  "starspec2_12000.abs" u 1:2 w l dt 2,\
  "starspec2_14000.abs" u 1:($2/4.86*3.77) w l dt 2,\

pa -1

set term png small
set out "starspec1_HALPHA.png"
rep

q

